Bug 1473714 - /usr/share/backgrounds/default.png symlink gone missing
Summary: /usr/share/backgrounds/default.png symlink gone missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-21 13:34 UTC by rob.verduijn
Modified: 2018-08-08 22:33 UTC (History)
10 users (show)

Fixed In Version: desktop-backgrounds-28.0.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 22:36:44 UTC
Type: Bug


Attachments (Terms of Use)

Description rob.verduijn 2017-07-21 13:34:45 UTC
Description of problem:

In the file /usr/share/sddm/themes/02-fedora/theme.conf
from the sddm package (sddm-0.14.0-10.fc26.x86_64)

The background value is set to :
/usr/share/backgrounds/default.png

There is no file default.png in that location.

This should be :
/usr/share/backgrounds/images/default.png


Rob Verduijn

Comment 1 Rex Dieter 2017-07-21 14:30:07 UTC
$ rpm -qR sddm | grep back
desktop-backgrounds-compat

$ rpm -q -f /usr/share/backgrounds/default.png 
desktop-backgrounds-compat-25.0.0-1.fc25.noarch


Can you post the output from 
rpm -ql desktop-backgrounds-compat

If it doesn't include /usr/share/backgrounds/default.png, it probably should be fixed so to break compatibility

Comment 2 rob.verduijn 2017-07-22 10:36:36 UTC
Hello,

It seems that for some reason the symbolic link '/usr/share/backgrounds/default.png' to ./f26/default/standard/f26.png has gone missing from my 5 desktop systems.

reinstalling the rpm or recreating the link manually does solve the problem.

However I have no clue as to why it has disappeared on my systems.

Thank you for your time.

Rob

Comment 3 Rex Dieter 2017-07-22 14:34:09 UTC
Triaging to desktop-backgrounds, adjusting summary

(not sure how something like that could happen offhand)

Comment 4 Fedora Update System 2018-03-08 15:25:05 UTC
desktop-backgrounds-28.0.0-1.fc28, f28-backgrounds-28.1.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f86f6e9857

Comment 5 Fedora Update System 2018-03-12 22:36:44 UTC
desktop-backgrounds-28.0.0-1.fc28, f28-backgrounds-28.1.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Kevin Kofler 2018-08-08 22:33:43 UTC
IIRC and AFAICT, the symlink goes missing when you use System Settings to customize the background image of the Fedora SDDM theme. System Settings then goes and deletes the symlink, and sets the theme's background setting to something else. Then you upgrade the package and it restores the original config file pointing to the no longer existing symlink.

The workaround is to not use the Fedora SDDM theme if you want to customize the background image. Instead, set the theme to Breeze and customize the background image there (the themes are identical except for the background image anyway), which is safe (because, at least last I checked, that theme does not ship the config file where System Settings sets the background image at all, so it does not get overwritten on updates).


Note You need to log in before you can comment on or make changes to this bug.